System requirements and compatibility information for TrueSight Smart Reporting

Confirm that the computer where you plan to install TrueSight Smart Reporting meets these requirements.

Note: System compatibility support

TrueSight Smart Reporting has been tested on the operating systems, databases, and browsers documented on this page. However, TrueSight Smart Reporting can be installed on all operating systems, databases, and browsers that are supported by Yellowfin. For more information, see the Yellowfin documentation (https://wiki.yellowfinbi.com/display/user74).

Operating system support

The following operating systems are supported:

Operating systemSupported version
Windows

Microsoft Windows 2016

  • Microsoft Windows 2016 Standard Edition (64-bit)
  • Microsoft Windows 2016 Datacenter Edition (64-bit)

Microsoft Windows 2012

  • Microsoft Windows 2012 Standard Edition (64-bit)
  • Microsoft Windows 2012 Datacenter Edition (64-bit)
  • Microsoft Windows 2012 R2 Standard Edition (64-bit)
  • Microsoft Windows 2012 R2 Datacenter Edition (64-bit)
Linux
  • Red Hat Enterprise Linux versions 6.9, 7.4, 7.8 (64-bit versions)
  • SUSE Linux Enterprise Server versions 11 SP 4, 12 SP 3 (64-bit versions)

Linux kernel versions

Linux versionSupported kernel version

SUSE Linux Enterprise Server 12 SP 3

4.4.73-5

SUSE Linux Enterprise Server 11 SP 43.0.101-88.1
Red Hat Enterprise Linux 7.83.10.0-1127
Red Hat Enterprise Linux 7.43.10.0-693
Red Hat Enterprise Linux 6.92.6.32-696

In addition to these operating systems, Yellowfin also supports other operating systems. For more information, click here (https://wiki.yellowfinbi.com/display/USER74).

Database support

The following databases are supported:

DatabaseSupported version
Oracle

Oracle 19c, 18c, and 12c Enterprise Edition and Standard Edition

SQL Server

SQL Server 2012, SQL Server 2014, SQL Server 2016 Enterprise Edition and Standard Edition

Required components

The following components must be installed:

  • TrueSight Presentation Server  version 11.3.01 and later
  • TrueSight Infrastructure Management  version 10.7, 11.0, or 11.3.01 and later

Note

TrueSight Infrastructure Management  and the Reporting database must be installed on different computers.

Required JDK version

JDK version 1.8.0_144 or later versions of 1.8.0 must exist on the computer where you install TrueSight Smart Reporting. The following JDK are supported:

  • Oracle JDK
  • Open JDK

If you do not have JDK installed on the computer where you install TrueSight Smart Reporting, do the following:

  1. Download and save the JDK executable file on the computer where you want to install TrueSight Smart Reporting.
  2. Run tun the JDK executable file to complete the installation.
  3. Open the Windows explorer, and right-click This PC.
  4. Click Properties > Advanced system settings.
  5. Click the Environment Variables button. 
  6. Under System variables, click New.
  7. In the New System Variable window, add the following details:
    • In the Variable name field, add JAVA_HOME
    • In the Variable value field, browse to the location where the JDK executable file is saved. For example, C:\Program Files\Java\jdk1.8.0_152.
  8. Select the Path variable, and click Edit.
  9. In the Edit environment variable window, click New, and type %JAVA_HOME%\bin.
  10. Click OK to save your changes.

Was this page helpful? Yes No Submitting... Thank you

Comments

  1. Abhay Bhagat

    Is there any plan to make it supported on CentOS or Oracle Linux as all other TrueSight Components are supported on Oracle Linux

    Feb 09, 2019 01:59
    1. Mukta Kirloskar

      Hello,

      Currently we do not have any plans for support on CentOS or Oracle Linux.

      Thanks!

      Feb 12, 2019 01:12
  2. Paul Meaders

    Can the Presentation Server and Infrastructure Management be installed on the same server? Is Windows 2012 supported?
    We are running TSSA on RHEL, can the Presentation Server and Infrastructure Management be installed on the TSSA application server?

    Apr 03, 2019 09:09
    1. Mukta Kirloskar

      Hello Paul,

      I will get back to you on this information as soon as I can get it from the R&D team.

      Thanks.

      Apr 05, 2019 03:29
      1. Mukta Kirloskar

        Hello,

        You can install Presentation Server and Infrastructure Management on the same server. For more information, see Installing TrueSight Operations Management components on a single computer. However, BMC does not recommend installing Presentation Server and Infrastructure Management on the TSSA application server.

        Windows 2012 is supported on TrueSight Smart Reporting.

        Thank you.

        Aug 24, 2020 12:32
  3. Harish Upadhyay

    Hi Guys,

    We have TSIM and TSPS version 11.0 Would it be required to upgrade them both to the 11.3 in order to install SMART Reporting Modules? or TSIM 11.0 will work, Since we only want to report on Performance and Event data ?

    Hope to hear back soon.

    Jul 15, 2019 05:14
    1. Tadgata Choudhury

      Yes... As per the Truesight documentation, all the truesight components TSPS, TSIM, TSIS should be on the same version. So to installation smart reporting you will have to upgrade TSPS and TSIM

      Sep 08, 2019 05:22
  4. Stephane Guedon

    His TSIM 11.3.02 supported ? I can see a TrueSight Smart Reporting 19.01 but seems to be automation focused

    Sep 25, 2019 01:11
    1. Dony Sheppard

      @Stephane Guedon The Treusight Smart reporting for Truesight Operations management is currently at version 11.3.01. No update to Treusight Smart Reporting was released for 11.3.02. The 19.01 version of teh Truesight Smart Reporting is for Truesight Server Automation only. HTH

      Sep 25, 2019 01:23
  5. Ahmad Salman

    Please advise if RHEL 7.6 is supported or not?

    Jan 19, 2020 04:55
    1. Mukta Kirloskar

      Hello,

      RHEL 7.6 is not supported.

      Thank you.

      Jun 12, 2020 02:04
  6. Ingrid Ussa

    Hi! This document indicates that "TrueSight Presentation Server version 11.3.01 or later" is required, but for Truesight Infrastructure Management the newest version indicated is 11.3.01. Is not supported 11.3.03 TSIM version? In my case, I have TSPS in 11.3.03 and the TSIM the same.

    Thanks.

    May 08, 2020 09:39
    1. Mukta Kirloskar

      Hi Ingrid, 

      TSIM 11.3.03 is supported. Versions later than 11.3.01 are supported.

      Thanks, 

      Mukta

      Jun 11, 2020 09:58
  7. Anant Patil

    Does Smart Reporting V11.3 support Microsoft Windows 2012 OR it just support Microsoft Windows 2016 as per doc mentioned

    Jun 02, 2020 01:08
    1. Mukta Kirloskar

      Hello Anant

      It does support Windows 2012 and 2012 R2.

      I will update the document.

      Thank you.

      Jun 12, 2020 01:45
  8. Mohnish Rajpal

    Does Smart Reporting V11.3 support Oracle 19c database?

    Aug 11, 2020 03:57
    1. Mukta Kirloskar

      The team is in the process of testing this support. We will update the documentation once we get a go-ahead from the R&D.


      Aug 24, 2020 12:25